Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfileArea Class Reference
GoSdk/Tools » Profile

## Description

Represents a profile area tool.

Inheritance diagram for GoProfileArea:

## Public Member Functions
GoProfileAreaArea | GoProfileArea_AreaMeasurement (GoProfileArea tool)
| Returns a GoProfileArea Area measurement object. More...
GoProfileBaseline | GoProfileArea_Baseline (GoProfileArea tool)
| Gets the profile area baseline. More...
kBool | GoProfileArea_BaselineUsed (GoProfileArea tool)
| Returns a boolean representing whether the profile area baseline is used. More...
GoProfileAreaCentroidX | GoProfileArea_CentroidXMeasurement (GoProfileArea tool)
| Returns a GoProfileArea Centroid X measurement object. More...
GoProfileAreaCentroidZ | GoProfileArea_CentroidZMeasurement (GoProfileArea tool)
| Returns a GoProfileArea Centroid Z measurement object. More...
GoProfileLineRegion | GoProfileArea_LineRegion (GoProfileArea tool)
| Gets the reference profile line. More...
GoProfileRegion | GoProfileArea_Region (GoProfileArea tool)
| Gets the profile region. More...
kStatus | GoProfileArea_SetBaseline (GoProfileArea tool, GoProfileBaseline type)
| Sets the profile area type. More...
kStatus | GoProfileArea_SetType (GoProfileArea tool, GoProfileAreaType type)
| Sets the profile area type. More...
GoProfileAreaType | GoProfileArea_Type (GoProfileArea tool)
| Gets the profile area type. More...
kBool | GoProfileArea_TypeUsed (GoProfileArea tool)
| Gets the boolean representing whether the area type is used. More...
kStatus | GoProfileTool_SetSource (GoProfileTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoProfileTool_SetXAnchor (GoProfileTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoProfileTool_SetZAnchor (GoProfileTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoProfileTool_Source (GoProfileTool tool)
| Gets the data source. More...
GoDataSource | GoProfileTool_SourceOptionAt (GoProfileTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoProfileTool_SourceOptionCount (GoProfileTool tool)
| Gets the data source option list count. More...
k32s | GoProfileTool_XAnchor (GoProfileTool tool)
| Gets the current X-anchoring source. More...
kBool | GoProfileTool_XAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoProfileTool_XAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoProfileTool_XAnchorOptionCount (GoProfileTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoProfileTool_ZAnchor (GoProfileTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoProfileTool_ZAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoProfileTool_ZAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoProfileTool_ZAnchorOptionCount (GoProfileTool tool)
| Gets the Z-anchoring option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

The documentation for this class was generated from the following file:

- Tools/GoProfileTools.h